Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.RadWindowControllerClass=function(){
this._activeWindow=null;
this._historyStack=[];
this._registerGlobalBodyEventHandlers();
};
Telerik.Web.UI.RadWindowControllerClass.prototype={getInstance:function(){
return this;
},_registerGlobalBodyEventHandlers:function(){
var _1=Function.createDelegate(null,function(e){
if(e.keyCode==27){
Telerik.Web.UI.RadWindowController.hideCurrentWindowUnconditionally();
}
});
$addHandler(document.body,"keydown",_1);
Sys.Application.add_unload(function(){
$removeHandler(document.body,"keydown",_1);
});
},hideCurrentWindowUnconditionally:function(){
if(this._activeWindow!=null){
this._activeWindow.close();
}
this._activeWindow=null;
},inactivateCurrentWindow:function(){
if(this._activeWindow!=null){
this._activeWindow.setActive(false);
}
this._activeWindow=null;
},set_activeWindow:function(_3){
if(_3==this._activeWindow){
return;
}
this.inactivateCurrentWindow();
this._activeWindow=_3;
Array.remove(this._historyStack,_3);
Array.add(this._historyStack,_3);
},notifyWindowClosed:function(_4){
if(this._activeWindow==_4){
this._activeWindow=null;
}
Array.remove(this._historyStack,_4);
this._activatePreviousWindow();
},_activatePreviousWindow:function(){
var _5=this._historyStack;
var i=_5.length-1;
for(;i>=0;i--){
var _7=_5[i];
if(!_7){
return;
}
if(_7.isCreated()&&!_7.isClosed()&&!_7.isMinimized()){
_7.setActive(true);
break;
}else{
Array.removeAt(_5,i);
}
}
},get_activeWindow:function(){
return this._activeWindow;
}};
Telerik.Web.UI.RadWindowControllerClass.registerClass("Telerik.Web.UI.RadWindowControllerClass",null);
if(!Telerik.Web.UI.RadWindowController){
Telerik.Web.UI.RadWindowController=new Telerik.Web.UI.RadWindowControllerClass();
}
Type.registerNamespace("Telerik.Web.UI");
Type.registerNamespace("Telerik.Web.UI.RadWindowUtils");
Telerik.Web.UI.RadWindowUtils.Localization={"Close":"Close","Minimize":"Minimize","Maximize":"Maximize","Reload":"Reload","PinOn":"Pin on","PinOff":"Pin off","Restore":"Restore","OK":"OK","Cancel":"Cancel","Yes":"Yes","No":"No"};
Telerik.Web.UI.RadWindow=function(_8){
Telerik.Web.UI.RadWindow.initializeBase(this,[_8]);
this._eventNames=["resize","activate","dragStart","dragEnd","show","pageLoad","close","command"];
this._bodyElement=($telerik.standardsMode)?document.documentElement:document.body;
this._openerElement=null;
this._offsetElement=null;
this._popupElement=null;
this._tableElement=null;
this._contentElement=null;
this._contentCell=null;
this._titleElement=null;
this._titleCell=null;
this._titlebarElement=null;
this._statusCell=null;
this._statusMessageElement=null;
this._iframe=null;
this._buttonsElement=null;
this._buttonsArray=[];
this.isIE=($telerik.isIE);
this._openerElementID=null;
this._offsetElementID=null;
this._behaviors=Telerik.Web.UI.WindowBehaviors.Default;
this._initialBehaviors=Telerik.Web.UI.WindowBehaviors.None;
this._navigateUrl=null;
this._left="";
this._top="";
this._formID=null;
this._skin="Default";
this._title="";
this._width="300px";
this._height="300px";
this._minimizeZoneID=null;
this._restrictionZoneID="";
this._clientCallBackFunction=null;
this._reloadOnShow=false;
this._visibleOnPageLoad=false;
this._destroyOnClose=false;
this._visibleTitlebar=true;
this._visibleStatusbar=true;
this._showContentDuringLoad=true;
this._modal=false;
this._overlay=false;
this._keepInScreenBounds=true;
this._iconUrl=null;
this._minimizeIconUrl=null;
this._animation=Telerik.Web.UI.WindowAnimation.None;
this._windowAnimation=null;
this._onMouseDownDelegate=null;
this._onClickDelegate=null;
this._onTitlebarDblclickDelegate=null;
this._onTitlebarClickDelegate=null;
this._onWindowResizeDelegate=null;
this._onIframeLoadDelegate=null;
this._onChildPageUnloadDelegate=null;
this._onChildPageClickDelegate=null;
this._onModalShowHandler=null;
this._onModalCloseHandler=null;
this._loaded=false;
this._isCloned=false;
this._restoreRect=null;
this._popupBehavior=null;
this._popupVisible=false;
this._windowManager;
this.GetWindowManager=this.get_windowManager;
this.BrowserWindow=window;
this.GetContentFrame=this.get_contentFrame;
this.GetLeftPosition=function(){
this.getWindowBounds().x;
};
this.GetTopPosition=function(){
this.getWindowBounds().y;
};
this.GetTitlebar=function(){
return this._titleCell;
};
this.GetStatusbar=function(){
return this._statusCell;
};
this.SetOpenerElementId=this.set_openerElementID;
this.SetStatus=this.set_status;
this.GetStatus=this.get_status;
this.SetModal=this.set_modal;
this.SetWidth=this.set_width;
this.SetHeight=this.set_height;
this.GetWidth=this.get_width;
this.GetHeight=this.get_height;
this.SetOffsetElementId=this.set_offsetElementID;
this.SetTitle=this.set_title;
this.MoveTo=this.moveTo;
this.Center=this.center;
this.SetVisible=this.setVisible;
this.SetSize=this.setSize;
this.Show=this.show;
this.Hide=this.hide;
this.GetUrl=this.get_navigateUrl;
this.SetUrl=this.setUrl;
this.Reload=this.reload;
this.SetActive=this.setActive;
this.Minimize=this.minimize;
this.Restore=this.restore;
this.Maximize=this.maximize;
this.Close=this.close;
this.TogglePin=this.togglePin;
this.IsMaximized=this.isMaximized;
this.IsMinimized=this.isMinimized;
this.IsModal=this.isModal;
this.IsClosed=this.isClosed;
this.IsPinned=this.isPinned;
this.IsVisible=this.isVisible;
this.IsActive=this.isActive;
this.IsBehaviorEnabled=this.isBehaviorEnabled;
};
Telerik.Web.UI.RadWindow.prototype={_getLocalization:function(){
return Telerik.Web.UI.RadWindowUtils.Localization;
},_registerIframeLoadHandler:function(_9){
if(!this._iframe){
return;
}
if(_9){
this._onIframeLoadDelegate=Function.createDelegate(this,this._onIframeLoad);
$addHandler(this._iframe,"load",this._onIframeLoadDelegate);
}else{
if(this._onIframeLoadDelegate){
$removeHandler(this._iframe,"load",this._onIframeLoadDelegate);
this._onIframeLoadDelegate=null;
}
}
},_registerWindowResizeHandler:function(_a){
if(_a){
this._onWindowResizeDelegate=Function.createDelegate(this,this._maintainMaximizedSize);
$addHandler(window,"resize",this._onWindowResizeDelegate);
}else{
if(this._onWindowResizeDelegate){
$removeHandler(window,"resize",this._onWindowResizeDelegate);
this._onWindowResizeDelegate=null;
}
}
},_registerOpenerElementHandler:function(_b,_c){
if(!_b){
return;
}
if(true==_c){
this._onClickDelegate=Function.createDelegate(this,this._onClick);
$addHandler(_b,"click",this._onClickDelegate);
}else{
var _d=$removeHandler(_b,"click",this._onClickDelegate);
this._onClickDelegate=null;
}
},_registerTitlebarHandlers:function(_e){
var _f=this._titleCell;
if(_e){
this._onTitlebarDblclickDelegate=Function.createDelegate(this,function(){
if(this.isMinimized()||this.isMaximized()){
this.restore();
}else{
this.maximize();
}
});
this._onTitlebarClickDelegate=Function.createDelegate(this,function(){
this.setActive(true);
});
$addHandler(_f,"dblclick",this._onTitlebarDblclickDelegate);
$addHandler(_f,"click",this._onTitlebarClickDelegate);
}else{
if(this._titleCell){
if(this._onTitlebarDblclickDelegate){
$removeHandler(_f,"dblclick",this._onTitlebarDblclickDelegate);
this._onTitlebarDblclickDelegate=null;
}
if(this._onTitlebarClickDelegate){
$removeHandler(_f,"click",this._onTitlebarClickDelegate);
this._onTitlebarClickDelegate=null;
}
}
}
},_makeModal:function(_10){
if(this._onModalShowHandler){
this.remove_show(this._onModalShowHandler);
this._onModalShowHandler=null;
}
if(this._onModalCloseHandler){
this.remove_close(this._onModalCloseHandler);
this._onModalCloseHandler=null;
}
if(this._modalExtender){
this._modalExtender.dispose();
this._modalExtender=null;
}
if(!_10){
return;
}
if(typeof (Telerik.Web.UI.RadWindowManager)!="undefined"&&Telerik.Web.UI.RadWindowManager.isInstanceOfType(this)){
return;
}
this._onModalShowHandler=function(_11){
if(!_11._modalExtender){
_11._modalExtender=new Telerik.Web.UI.ModalExtender(_11._popupElement);
}
_11._modalExtender.show();
_11.center();
};
this.add_show(this._onModalShowHandler);
this._onModalCloseHandler=function(_12){
window.setTimeout(function(){
if(_12._modalExtender){
_12._modalExtender.hide();
}
},10);
};
this.add_close(this._onModalCloseHandler);
},_makeResizeable:function(_13){
if(this._resizeExtender){
this._resizeExtender.dispose();
this._resizeExtender=null;
}
if(!_13){
return;
}
if(!this._popupElement){
return;
}
if(!this.isBehaviorEnabled(Telerik.Web.UI.WindowBehaviors.Resize)){
return;
}
var _14=this._tableElement.rows;
var _15={nw:_14[0].cells[0],n:this._topResizer,ne:_14[0].cells[2],w:[_14[1].cells[0],_14[2].cells[0]],e:[_14[1].cells[2],_14[2].cells[2]],sw:_14[3].cells[0],s:_14[3].cells[1],se:[_14[3].cells[2],this._bottomResizer]};
this._resizeExtender=new Telerik.Web.UI.ResizeExtender(this,this._popupElement,_15,this._tableElement);
},onResizing:function(_16){
return this._isInZoneBounds(_16);
},onResizeEnd:function(){
var _17=this._getCurrentBounds();
this.moveTo(_17.x,_17.y);
if(this._overlay&&Sys.Browser.agent===Sys.Browser.Firefox){
this._popupBehavior._onMove();
}
this.raiseEvent("resize",new Sys.EventArgs());
},_setIframesVisible:function(_18){
var _19=document.getElementsByTagName("IFRAME");
for(var i=0;i<_19.length;i++){
_19[i].style.visibility=_18?"":"hidden";
}
},_makeMoveable:function(_1b){
var _1c=this._titleCell;
if(_1b&&this.isBehaviorEnabled(Telerik.Web.UI.WindowBehaviors.Move)){
_1c.style.cursor="move";
this._onMouseDownDelegate=Function.createDelegate(this,this._mouseDownHandler);
$addHandler(_1c,"mousedown",this._onMouseDownDelegate);
}else{
if(_1c&&this._onMouseDownDelegate){
_1c.style.cursor="";
$removeHandler(_1c,"mousedown",this._onMouseDownDelegate);
this._onMouseDownDelegate=null;
}
}
},_mouseDownHandler:function(e){
window._event=e;
var _1e=(0>Array.indexOf(["input","button","select","textarea","label","a"],e.target.tagName.toLowerCase()));
if(_1e){
this._cancelEvent(e);
var _1f=this._popupElement;
_1f.removeAttribute("unselectable");
this._startDragDrop(_1f);
}
},_startDragDrop:function(_20){
if(this.isPinned()){
return;
}
var _21=$telerik.getLocation(_20);
$telerik.setLocation(_20,_21);
Telerik.Web.DragDropManager.startDragDrop(this,_20,null);
},get_dragDataType:function(){
return Telerik.Web.UI.RadWindowUtils.DragDataType;
},getDragData:function(_22){
return this;
},get_dragMode:function(){
return Telerik.Web.DragMode.Move;
},onDrag:function(e){
},onDragStart:function(){
this.setActive(true);
this._setIframesVisible(false);
var _24=this._getRestrictionZoneBounds();
if(_24){
Telerik.Web.IEDragDropManager.prototype.old_drag=Telerik.Web.IEDragDropManager.prototype._drag;
Telerik.Web.IEDragDropManager.prototype._drag=this._DragDropManagerNewDragImpl;
}
this.raiseEvent("dragStart",new Sys.EventArgs());
},onDragEnd:function(_25){
this._setIframesVisible(true);
if(this._overlay&&Sys.Browser.agent===Sys.Browser.Firefox){
this._popupBehavior._onMove();
}
var _26=this._getRestrictionZoneBounds();
if(_26){
Telerik.Web.IEDragDropManager.prototype._drag=Telerik.Web.IEDragDropManager.prototype.old_drag;
Telerik.Web.IEDragDropManager.prototype.old_drag=null;
}
this.raiseEvent("dragEnd",new Sys.EventArgs());
this._storeBounds();
this.setActive(true);
},_DragDropManagerNewDragImpl:function(_27){
var wnd=this._activeDragSource;
var _29=wnd._getRestrictionZoneBounds();
if(_29){
var ev=window._event;
var _2b={x:ev.clientX,y:ev.clientY};
var _2c=this.getScrollOffset(this._activeDragVisual,true);
var _2d=this.addPoints(this.subtractPoints(_2b,this._activeDragVisual.startingPoint),_2c);
var _2e=$telerik.getBounds(wnd._popupElement);
var _2f=wnd._isInBounds(_2d,_29,_2e);
if(!_2f){
if(_2e.x<_29.x){
_2e.x=_29.x;
}
if(_2e.y<_29.y){
_2e.y=_29.y;
}
if(_2e.x+_2e.width>_29.x+_29.width){
_2e.x-=_2e.x+_2e.width-(_29.width+_29.x);
}
if(_2e.y+_2e.height>_29.height+_29.y){
_2e.y-=_2e.y+_2e.height-(_29.height+_29.y);
}
this._activeDragVisual.startingPoint=this.addPoints(this.subtractPoints(_2b,_2e),_2c);
}
}
Telerik.Web.IEDragDropManager.prototype.old_drag.call(this,_27);
},_isInBounds:function(_30,_31,_32){
var _33=$telerik.containsPoint(_31,_30.x,_30.y);
if(_33){
var x=_30.x+_32.width;
var y=_30.y+_32.height;
_33=$telerik.containsPoint(_31,x,y);
}
return _33;
},initialize:function(){
Telerik.Web.UI.RadWindow.callBaseMethod(this,"initialize");
if(this._visibleOnPageLoad){
this.show();
}
this._registerWindowResizeHandler(true);
},dispose:function(){
var _36=this.get_windowManager();
if(_36){
if(_36.get_preserveClientState()){
_36.saveWindowState(this);
}
if(this._destroyOnClose){
_36.removeWindow(this);
}
}
if(this._windowAnimation){
this._windowAnimation.dispose();
}
if(this._popupBehavior){
this._popupBehavior.dispose();
this._popupBehavior=null;
}
this._makeMoveable(false);
this._makeResizeable(false);
this._makeModal(false);
this._registerTitlebarHandlers(false);
this._registerWindowResizeHandler(false);
this._registerIframeLoadHandler(false);
if(this._openerElement){
this._registerOpenerElementHandler(this._openerElement,false);
}
this.set_behaviors(Telerik.Web.UI.WindowBehaviors.None);
if(this._iframe){
this._iframe.src="javascript:'<html></html>';";
}
if(this._contentElement){
this._contentElement.innerHTML="";
}
Telerik.Web.UI.RadWindow.callBaseMethod(this,"dispose");
},hide:function(){
this._hide();
return true;
},clone:function(_37,_38){
if(!_37){
alert("Telerik.Web.UI.RadWindow.clone called without providing a name argument");
return;
}
var evs=(_38!=false)?this._getEventsParameter():null;
var _3a=this._getPropertiesParameter();
var _3b=document.createElement("SPAN");
_3b.setAttribute("id",_37);
var wnd=$create(Telerik.Web.UI.RadWindow,_3a,evs,null,_3b);
wnd.set_name(_37);
wnd._isCloned=true;
return wnd;
},set_contentElement:function(_3d){
this._createUI();
if(this._iframe){
this._iframe.style.display="none";
}
if(_3d.parentNode&&_3d.parentNode.removeChild){
_3d.parentNode.removeChild(_3d);
}
this._contentCell.appendChild(_3d);
_3d.style.display="";
this._contentElement=_3d;
},get_contentElement:function(){
return this._contentElement;
},isCreated:function(){
return this._popupElement!=null;
},show:function(){
var _3e=this.isCreated();
this._createUI();
if(this._navigateUrl&&(!_3e||this._reloadOnShow)){
this.setUrl(this._navigateUrl);
}
if(!_3e&&(this._initialBehaviors!=Telerik.Web.UI.WindowBehaviors.None)){
this._show();
this._afterShow();
if(this.isInitialBehaviorEnabled(Telerik.Web.UI.WindowBehaviors.Minimize)){
this.minimize();
}
if(this.isInitialBehaviorEnabled(Telerik.Web.UI.WindowBehaviors.Maximize)){
this.maximize();
}
if(this.isInitialBehaviorEnabled(Telerik.Web.UI.WindowBehaviors.Pin)){
this.togglePin();
}
return;
}
if(this._animation==Telerik.Web.UI.WindowAnimation.None){
this._show();
this._afterShow();
}else{
this._playAnimation();
}
},_show:function(){
this.raiseEvent("beforeShow",new Sys.EventArgs());
if(this.get_offsetElementID()&&!this._offsetElement){
var _3f=$get(this.get_offsetElementID());
if(_3f){
this._offsetElement=_3f;
}
}
this._popupBehavior.set_parentElement(this._bodyElement);
if(this._offsetElement&&!this._offsetSet){
this._popupBehavior.set_parentElement(this._offsetElement);
this._offsetSet=true;
}
this.set_visibleTitlebar(this._visibleTitlebar);
this.set_visibleStatusbar(this._visibleStatusbar);
this._reSetWindowPosition();
this._popupBehavior.set_parentElement(this._bodyElement);
this._popupVisible=true;
},_hide:function(){
if(this._windowAnimation){
this._windowAnimation.stop();
}
if(this._windowAnimation){
this._windowAnimation.play(true);
}else{
this._afterHide();
}
},_afterHide:function(){
if(!this._popupBehavior){
return;
}
if(this.isMaximized()){
this._restoreBounds();
}
this._popupBehavior.hide(true);
this._popupVisible=false;
this._getWindowController().notifyWindowClosed(this);
this.raiseEvent("close",new Sys.EventArgs());
},_afterShow:function(){
this.setActive(true);
this._storeBounds();
this.raiseEvent("show",new Sys.EventArgs());
},_playAnimation:function(){
var _40=function(){
var wnd=this.controller;
var _42=wnd._getCalculatedPopupBounds();
wnd._setPopupVisible(_42.x,_42.y);
var _43=$telerik.getBounds(wnd._popupElement);
wnd._popupBehavior.hide();
this.set_endBounds(_43);
};
if(!this._windowAnimation){
if(this._animation==Telerik.Web.UI.WindowAnimation.Fade){
this._windowAnimation=new Telerik.Web.UI.Animations.FadeAnimation(this,0.4,null,this._popupElement,null,this._openerElement);
this._windowAnimation.onShowStart=function(){
this.controller._show();
};
}else{
if(this._animation==Telerik.Web.UI.WindowAnimation.Slide){
this._windowAnimation=new Telerik.Web.UI.Animations.SlideAnimation(this,0.2,null,this._popupElement,null,this._openerElement);
this._windowAnimation.onShowStart=_40;
}else{
if(this._animation==Telerik.Web.UI.WindowAnimation.FlyIn){
this._windowAnimation=new Telerik.Web.UI.Animations.FlyInAnimation(this,null,null,this._popupElement,null,this._openerElement);
this._windowAnimation.onShowStart=_40;
}else{
if(this._animation==Telerik.Web.UI.WindowAnimation.Resize){
this._windowAnimation=new Telerik.Web.UI.Animations.ResizeAnimation(this,0.2,50,this._popupElement,null,this._openerElement);
this._windowAnimation.onShowStart=_40;
}
}
}
}
}
if(this._windowAnimation){
this._windowAnimation.onShowEnd=function(){
this.controller._show();
this.controller._afterShow();
};
this._windowAnimation.onHideEnd=function(){
this.controller._afterHide();
};
this._windowAnimation.play();
}
},_onClick:function(e){
this.show();
return this._cancelEvent(e);
},_cancelEvent:function(e){
if(e){
e.returnValue=false;
e.cancelBubble=true;
e.preventDefault();
e.stopPropagation();
}
return false;
},_getWindowController:function(){
return Telerik.Web.UI.RadWindowController.getInstance();
},_getReloadOnShowUrl:function(_46){
var str="rwndrnd="+Math.random();
if(_46.indexOf("?")>-1){
str="&"+str;
}else{
str="?"+str;
}
_46+=str;
return _46;
},_getPropertiesParameter:function(){
if(!this._propertiesParameter){
var _48={};
for(var _49 in Telerik.Web.UI.RadWindow.prototype){
var _4a=this[_49];
if(typeof (_4a)=="function"&&_49.indexOf("get_")==0){
var _4b=_49.substring(4);
if(null==this["set_"+_4b]){
continue;
}
var _4c=_4a.call(this);
if(null==_4c){
continue;
}
_48[_4b]=_4c;
if(_4b=="skin"){
break;
}
}
}
this._propertiesParameter=_48;
}
var _4d=this._cloneObject(this._propertiesParameter);
return _4d;
},_getEventsParameter:function(){
if(!this._eventsParameter){
var _4e={};
var _4f=this.get_events();
var _50=this._eventNames;
for(var i=0;i<_50.length;i++){
var _52=_50[i];
var _53=_4f.getHandler(_52);
if(_53&&typeof (eval(_53))=="function"){
_4e[_52]=eval(_53);
}
}
this._eventsParameter=_4e;
}
return this._eventsParameter;
},_cloneObject:function(_54){
var _55={};
for(var _56 in _54){
_55[_56]=_54[_56];
}
return _55;
},getWindowBounds:function(){
return this._getCalculatedPopupBounds();
},toString:function(){
return "[RadWindow id="+this.get_id()+"]";
},center:function(){
var _57=this._getCentralBounds();
this.moveTo(_57.x,_57.y);
},moveTo:function(x,y){
x=parseInt(x);
y=parseInt(y);
this._createUI();
this._setPopupVisible(x,y);
this._storeBounds();
},setSize:function(_5a,_5b){
this._firstShow=false;
this.set_width(_5a);
this.set_height(_5b);
this._storeBounds();
},_maintainMaximizedSize:function(){
if(!this.isMaximized()){
return;
}
var _5c=this._popupElement;
if(!_5c){
return;
}
var _5d=this._getViewportBounds();
_5c.style.top=(_5d.scrollTop+_5d.y)+"px";
_5c.style.left=(_5d.scrollLeft+_5d.x)+"px";
_5c.style.width=_5d.width+"px";
_5c.style.height=_5d.height+"px";
var _5e=this._getRestrictionZoneBounds();
if(!_5e){
this._enablePageScrolling(false);
}
var _5f=this._tableElement;
_5d=this._getViewportBounds();
_5f.style.height=_5d.height+"px";
this._fixIeHeight(_5f,_5d.height);
},_enablePageScrolling:function(_60){
if(_60){
var _61=this._documentOverflow;
if(null==_61){
return;
}
this._documentOverflow=null;
document.body.style.overflow=_61?_61:"";
document.documentElement.style.overflow=_61?_61:"";
}else{
if(!this._documentOverflow){
this._documentOverflow=$telerik.getCurrentStyle(document.documentElement,"overflow");
}
document.body.style.overflow="hidden";
document.documentElement.style.overflow="hidden";
}
},_isInZoneBounds:function(_62){
var _63=this._getRestrictionZoneBounds();
if(!_63){
return true;
}
if(!_62){
_62=$telerik.getBounds(this._popupElement);
}
var _64=$telerik.containsPoint(_63,_62.x,_62.y);
if(_64){
var x=_62.x+_62.width;
var y=_62.y+_62.height;
_64=$telerik.containsPoint(_63,x,y);
}
return _64;
},_getRestrictionZoneBounds:function(){
if(!this._zoneBounds){
if(this.get_restrictionZoneID()){
var _67=$get(this.get_restrictionZoneID());
if(_67){
var _68=$telerik.getBounds(_67);
_68.scrollLeft=0;
_68.scrollTop=0;
this._zoneBounds=_68;
}
}
}
return this._zoneBounds;
},_storeBounds:function(){
if(!this.isCreated()){
return;
}
var _69=this._getCurrentBounds();
if(this.isMaximized()){
return false;
}
if(this.isMinimized()){
if(this._restoreRect){
_69.width=this._restoreRect.width;
_69.height=this._restoreRect.height;
}else{
_69.width=this.get_width();
_69.height=this.get_height();
}
}
this._restoreRect=_69;
},_restoreBounds:function(){
if(!this._restoreRect){
return;
}
var _6a=this._restoreRect;
this.setSize(_6a.width,_6a.height);
this.moveTo(_6a.x,_6a.y);
},_getStoredBounds:function(){
if(this._restoreRect){
return this._restoreRect;
}
},_deleteStoredBounds:function(){
this._restoreRect=null;
},_getCurrentBounds:function(){
var _6b=(this._popupElement.style.display=="none")?true:false;
this._popupElement.style.display="";
if(this._firstShow!=true){
this._updateWindowSize(this._height);
this._firstShow=true;
}
var _6c=$telerik.getBounds(this._popupElement);
if(_6b){
this._popupElement.style.display="none";
}
var _6d=this._getRestrictionZoneBounds();
if(_6d){
_6c.x-=_6d.x;
_6c.y-=_6d.y;
}
return _6c;
},_getCentralBounds:function(){
var _6e=this._getCurrentBounds();
var _6f=this._getViewportBounds();
var x=parseInt((_6f.width-_6e.width)/2);
var y=parseInt((_6f.height-_6e.height)/2);
_6e.x=x+_6f.scrollLeft;
_6e.y=y+_6f.scrollTop;
return _6e;
},_getViewportBounds:function(){
var _72=this._getRestrictionZoneBounds();
if(_72){
return _72;
}
var _73=$telerik.getClientBounds();
var _74=document.documentElement.scrollLeft||document.body.scrollLeft;
var _75=document.documentElement.scrollTop||document.body.scrollTop;
_73.scrollLeft=_74;
_73.scrollTop=_75;
if(this.isIE){
if(_73.width==0){
_73.width=document.body.clientWidth;
}
if(_73.height==0){
_73.height=document.body.clientHeight;
}
}
return _73;
},_getCalculatedPopupBounds:function(){
var _76=this._getStoredBounds();
if(_76){
return _76;
}
var _77=this._getCurrentBounds();
var _78=this._offsetElement;
if(!this._top&&!this._left&&!_78){
_77=this._getCentralBounds();
}else{
if(_78){
_77.y=0;
_77.x=0;
}else{
var _79=this._getViewportBounds();
_77.x=_79.scrollLeft;
_77.y=_79.scrollTop;
}
var _7a=this._left?this._left:0;
_77.x+=_7a;
var top=this._top?this._top:0;
_77.y+=top;
}
return _77;
},_reSetWindowPosition:function(){
var _7c=this._getCalculatedPopupBounds();
this._setPopupVisible(_7c.x,_7c.y);
},_fixIeHeight:function(_7d,_7e){
if("CSS1Compat"==document.compatMode){
var _7f=(_7d.offsetHeight-parseInt(_7e));
if(_7f>0){
var _80=(parseInt(_7d.style.height)-_7f);
if(_80>0){
_7d.style.height=_80+"px";
}
}
}
},_setPopupVisible:function(x,y){
var _83=this._getRestrictionZoneBounds();
if(_83){
x+=_83.x;
y+=_83.y;
}
this._popupBehavior._setCoordinates(x,y);
this._popupBehavior.show();
if(!this.get_width()){
this._popupElement.style.width="";
}
this._updateTitleWidth();
},_createDefaultTable:function(){
var _84=document.createElement("TABLE");
_84.align="left";
_84.cellSpacing=0;
_84.cellPadding=0;
_84.insertRow(-1);
return _84;
},_createUI:function(){
if(!this._popupElement){
var _85=this.get_id();
var _86="RadWindowWrapper_"+_85;
var _87=document.createElement("DIV");
_87.id=_86;
_87.className=this._getFullSkinName();
_87.style.width=this._width;
_87.style.height=this._height;
_87.setAttribute("unselectable","on");
this._popupElement=_87;
var _88=document.createElement("TABLE");
_88.cellSpacing=0;
_88.cellPadding=0;
this._tableElement=_88;
var _89=["corner topleft","titlebar","corner topright","corner bodyleft","windowcontent","corner bodyright","corner bodyleft","statusbar","corner bodyright","corner footerleft","footercenter","corner footerright"];
var _8a=["titlerow","contentrow","statusbarrow","footerrow"];
var _8b=0;
for(var i=0;i<4;i++){
var row=_88.insertRow(-1);
row.className=_8a[i];
for(var j=1;j<=3;j++){
var _8f=row.insertCell(-1);
_8f.innerHTML="&nbsp;";
_8f.className=_89[_8b];
_8b++;
}
}
var _90=_88.rows[0].cells[1];
_90.innerHTML="";
this._titleCell=_90;
var _91=document.createElement("DIV");
_91.className="topresize";
_91.innerHTML="<!-- / -->";
this._topResizer=_91;
this._titleCell.appendChild(this._topResizer);
var _92=this._createDefaultTable();
_92.className="titlebarcontrols";
this._titlebarElement=_92;
this._titleCell.appendChild(this._titlebarElement);
var _93=this._getTitleIcon();
var _94=this._titlebarElement.rows[0].insertCell(-1);
_94.appendChild(_93);
var _95=this._getTitleElement();
var _90=this._titlebarElement.rows[0].insertCell(-1);
_90.appendChild(_95);
this.set_title(this._title);
var _96=this._titlebarElement.rows[0].insertCell(-1);
_96.noWrap=true;
_96.style.whiteSpace="nowrap";
_96.appendChild(this._getTitleCommandButtonsHolder());
var _97=_88.rows[1].cells[1];
_97.vAlign="top";
_97.innerHTML="";
this._contentCell=_97;
var _98=this.get_name();
var _99=($telerik.isIE)?document.createElement("<iframe name='"+_98+"'>"):document.createElement("iframe");
_99.name=_98;
_99.src="javascript:'<html></html>';";
_99.style.width="100%";
_99.style.height="100%";
_99.style.border="0px";
_99.frameBorder="0";
this._iframe=_99;
this._contentCell.appendChild(this._iframe);
var _9a=this._createDefaultTable();
_9a.style.width="100%";
this._statusCell=_88.rows[2].cells[1];
this._statusCell.innerHTML="";
this._statusCell.appendChild(_9a);
var _9b=_9a.rows[0].insertCell(-1);
_9b.style.width="100%";
var _9c=this._getStatusMessageElement();
_9b.appendChild(_9c);
var _9d=_9a.rows[0].insertCell(-1);
_9d.style.width="15px";
var _9e=document.createElement("DIV");
_9d.appendChild(_9e);
this._bottomResizer=_9e;
this._createBackReference();
this._popupElement.appendChild(this._tableElement);
this._popupElement.style.display="none";
this._popupElement.style.position="absolute";
this._addWindowToDocument();
this.set_behaviors(this._behaviors);
this._registerTitlebarHandlers(true);
this.set_visibleTitlebar(this._visibleTitlebar);
this.set_visibleStatusbar(this._visibleStatusbar);
}
if(!this._popupBehavior){
this._popupBehavior=$create(Telerik.Web.PopupBehavior,{"id":(new Date()-100)+"PopupBehavior","parentElement":null,"overlay":this._overlay,"keepInScreenBounds":this._keepInScreenBounds},null,null,this._popupElement);
}
},_getStatusMessageElement:function(){
if(null==this._statusMessageElement){
var el=document.createElement("INPUT");
el.readOnly="readonly";
el.setAttribute("unselectable","on");
this._statusMessageElement=el;
}
return this._statusMessageElement;
},_getTitleCommandButtonsHolder:function(){
if(null==this._buttonsElement){
var ul=document.createElement("UL");
ul.className="controlbuttons";
this._buttonsElement=ul;
}
return this._buttonsElement;
},_getTitleElement:function(){
if(!this._titleElement){
this._titleElement=document.createElement("EM");
this._titleElement.setAttribute("unselectable","on");
}
return this._titleElement;
},_getTitleIcon:function(){
if(null==this._titleIconElement){
var _a1=document.createElement("A");
this._titleIconElement=_a1;
_a1.className="windowicon";
if(this.get_iconUrl()){
_a1.style.background="transparent url("+this.get_iconUrl()+") no-repeat scroll 0px 0px";
}
}
return this._titleIconElement;
},_getTitleCommandButton:function(_a2){
if(!_a2||!this._buttonsArray){
return null;
}
_a2=_a2.toLowerCase()+"button";
var _a3=this._buttonsArray.length;
for(var i=0;i<_a3;i++){
var _a5=this._buttonsArray[i];
if(_a5&&Sys.UI.DomElement.containsCssClass(_a5,_a2)){
return _a5;
}
}
return null;
},_updateTitleWidth:function(){
if(this._visibleTitlebar){
var _a6=this._getTitleElement();
if(!_a6){
return;
}
var _a7=this._getTitleCommandButtonsHolder();
var _a8=_a7.offsetWidth;
if(_a8>0){
var lis=_a7.getElementsByTagName("LI");
if(lis[0]&&lis[0].offsetWidth>0){
_a8=lis.length*lis[0].offsetWidth;
}
_a7.style.width=_a8+"px";
}
var _aa=this._getTitleIcon();
var _ab=_aa.offsetWidth;
if(_ab>0&&_aa.parentNode.tagName=="TD"){
_aa.parentNode.style.width=_ab+"px";
}
}
},_addWindowToDocument:function(){
var _ac=document.getElementById(this._formID);
if(!_ac){
_ac=document.forms[0];
}
_ac.insertBefore(this._popupElement,theForm.firstChild);
},_invokeDialogCallBackFunction:function(_ad,_ae){
if(true!=_ae){
this.close();
}
var _af=this.get_clientCallBackFunction();
if(_af){
if("string"==typeof (_af)){
_af=eval(_af);
}
if("function"==typeof (_af)){
_af(this,_ad);
}
}
},_createBackReference:function(){
var _b0=this;
if(!_b0.Argument){
_b0.Argument={};
}
var _b1=this._iframe;
try{
_b1.radWindow=_b0;
if(_b1.contentWindow!=null){
_b1.contentWindow.radWindow=_b0;
}
}
catch(e){
}
},_getFullSkinName:function(){
return "radwindow radwindow_"+this._skin+" normalwindow transparentwindow";
},_configureMinimizeButton:function(_b2){
var loc=this._getLocalization();
var _b4=(true==_b2)?loc["Restore"]:loc["Minimize"];
var _b5=(true==_b2)?this.restore:this.minimize;
this._registerTitlebarHandlersButton("Minimize",_b4,_b5);
},_configureMaximizeButton:function(_b6){
var loc=this._getLocalization();
var _b8=(true==_b6)?loc["Restore"]:loc["Maximize"];
var _b9=(true==_b6)?this.restore:this.maximize;
this._registerTitlebarHandlersButton("Maximize",_b8,_b9);
},_registerTitlebarHandlersButton:function(_ba,_bb,_bc){
var _bd=this._getTitleCommandButton(_ba);
if(_bd){
var loc=this._getLocalization();
_bd.setAttribute("title",_bb);
_bd.innerHTML=_bb;
$clearHandlers(_bd);
$addHandlers(_bd,{"click":_bc},this);
$addHandler(_bd,"dblclick",this._cancelEvent);
}
},isCloned:function(){
return this._isCloned;
},isBehaviorEnabled:function(_bf){
return _bf&this._behaviors?true:false;
},isInitialBehaviorEnabled:function(_c0){
return _c0&this._initialBehaviors?true:false;
},setVisible:function(_c1){
if(this._popupBehavior){
if(_c1){
this._popupBehavior.show();
}else{
this._popupBehavior.hide();
}
}
},isVisible:function(){
return this._popupVisible;
},isModal:function(){
return this._modal;
},isActive:function(){
return (this._popupElement&&!Sys.UI.DomElement.containsCssClass(this._popupElement,"inactivewindow"));
},isPinned:function(){
var _c2=this._getTitleCommandButton("Pin");
return (_c2&&Sys.UI.DomElement.containsCssClass(_c2,"on"));
},isClosed:function(){
return (!this.isVisible());
},isMinimized:function(){
return (this._popupElement&&Sys.UI.DomElement.containsCssClass(this._popupElement,"minimizedwindow"));
},isMaximized:function(){
return (this._popupElement&&Sys.UI.DomElement.containsCssClass(this._popupElement,"maximizedwindow"));
},setActive:function(_c3){
var _c4=this._popupElement;
if(!_c3){
Sys.UI.DomElement.addCssClass(_c4,"inactivewindow");
}else{
var _c5=parseInt(_c4.style.zIndex);
var _c6=Telerik.Web.UI.RadWindowUtils.get_newZindex(_c5);
_c4.style.zIndex=""+_c6;
this._getWindowController().set_activeWindow(this);
if(this.isActive()){
return;
}
$telerik.removeCssClasses(_c4,["inactivewindow"]);
this.raiseEvent("activate",new Sys.EventArgs());
}
},_moveToMinimizeZone:function(){
var _c7=$get(this.get_minimizeZoneID());
if(_c7){
if(this.isPinned()){
this._isPinned=true;
this.togglePin();
}
var _c8=this._popupElement;
if(_c8.parentNode!=_c7){
_c8.parentNode.removeChild(_c8);
_c7.appendChild(_c8);
this.setVisible(true);
_c8.style.position="static";
if(this.isIE){
_c8.style.display="inline";
}else{
_c8.style.cssFloat="left";
}
this._makeMoveable(false);
}
}
},_moveToDocument:function(){
var _c9=this._popupElement;
_c9.parentNode.removeChild(_c9);
_c9.style.position="absolute";
if(this.isIE){
_c9.style.display="";
}else{
_c9.style.cssFloat="";
}
this._addWindowToDocument();
this._makeMoveable(true);
if(this._isPinned){
this._isPinned=false;
this.togglePin();
}
},minimize:function(){
if(!this.isCreated()){
return;
}
var _ca=this.onCommand("Minimize");
if(!_ca){
return;
}
var _cb=this._popupElement;
$telerik.removeCssClasses(_cb,["normalwindow","maximizedwindow"]);
Sys.UI.DomElement.addCssClass(_cb,"minimizedwindow");
this._configureMinimizeButton(true);
this._enablePageScrolling(true);
if(this.get_minimizeZoneID()){
this._moveToMinimizeZone();
}
},restore:function(){
if(!this.isCreated()){
return;
}
var _cc=this.onCommand("Restore");
if(!_cc){
return;
}
this._configureMinimizeButton();
this._configureMaximizeButton();
if(this.isMinimized()&&this.get_minimizeZoneID()){
this._moveToDocument();
}
this._normalizeWindowRootCss();
this._enablePageScrolling(true);
this.setVisible(true);
this._restoreBounds();
this.setVisible(true);
this.setActive(true);
},maximize:function(){
if(!this.isCreated()){
return;
}
var _cd=this.onCommand("Maximize");
if(!_cd){
return;
}
if(!this.isBehaviorEnabled(Telerik.Web.UI.WindowBehaviors.Maximize)){
return;
}
this._storeBounds();
if(this.isMinimized()&&this.get_minimizeZoneID()){
this._moveToDocument();
}
var _ce=this._popupElement;
$telerik.removeCssClasses(_ce,["normalwindow","minimizedwindow"]);
Sys.UI.DomElement.addCssClass(_ce,"maximizedwindow");
this._configureMaximizeButton(true);
this._configureMinimizeButton();
this._maintainMaximizedSize();
this._maintainMaximizedSize();
if(!this.isActive()){
this.setActive(true);
}
},togglePin:function(){
if(!this.isCreated()){
return;
}
var _cf=this.onCommand("Pin");
if(!_cf){
return;
}
var _d0=this._getTitleCommandButton("Pin");
var loc=this._getLocalization();
var _d2=this.isPinned();
var _d3=_d2?loc["PinOn"]:loc["PinOff"];
if(_d0){
Sys.UI.DomElement.toggleCssClass(_d0,"on");
}
this._registerTitlebarHandlersButton("Pin",_d3,this.togglePin);
Telerik.Web.UI.RadWindowUtils.setPinned(!_d2,this);
},reload:function(){
if(!this.isCreated()){
return;
}
var _d4=this.onCommand("Reload");
if(!_d4){
return;
}
if(!this._iframe){
return;
}
this._onWindowUrlChanging();
try{
this._iframe.contentWindow.location.reload();
}
catch(e){
this._onWindowUrlChanged();
}
},_normalizeWindowRootCss:function(){
var _d5=this._popupElement;
if(_d5){
$telerik.removeCssClasses(_d5,["minimizedwindow","maximizedwindow"]);
Sys.UI.DomElement.addCssClass(_d5,"normalwindow");
}
},close:function(_d6){
if(this.isClosed()){
return;
}
this.hide();
this._enablePageScrolling(true);
this._normalizeWindowRootCss();
if(null!=_d6&&!(_d6 instanceof Sys.UI.DomEvent)){
this._invokeDialogCallBackFunction(_d6);
}
if(this._destroyOnClose){
this.dispose();
}
},onCommand:function(_d7){
var _d8=new Sys.CancelEventArgs();
_d8._commandName=_d7;
_d8.get_commandName=function(){
return this._commandName;
};
this.raise_command(_d8);
if(_d8.get_cancel()){
return false;
}
return true;
},setUrl:function(url){
this._createUI();
this._navigateUrl=url;
var _da=url;
if(this._reloadOnShow){
_da=this._getReloadOnShowUrl(_da);
}
this._iframe.src=_da;
this._onWindowUrlChanging();
if(!this._loaded){
this._registerIframeLoadHandler(true);
}
this._loaded=true;
},_registerChildPageHandlers:function(_db){
var _dc=null;
try{
_dc=this._iframe.contentWindow.document;
if(_dc.domain!=document.domain){
return;
}
}
catch(e){
return;
}
if(null==_dc){
return;
}
if(_db){
this._onChildPageUnloadDelegate=Function.createDelegate(this,this._onChildPageUnload);
if(this.isIE){
_dc.onunload=this._onChildPageUnloadDelegate;
}else{
this._iframe.contentWindow.onunload=this._onChildPageUnloadDelegate;
}
this._onChildPageClickDelegate=Function.createDelegate(this,this._onChildPageClick);
$telerik.addExternalHandler(_dc,"click",this._onChildPageClickDelegate);
}else{
if(this._onChildPageClickDelegate){
$telerik.removeExternalHandler(_dc,"click",this._onChildPageClickDelegate);
this._onChildPageClickDelegate=null;
}
}
},_onChildPageUnload:function(e){
this._registerChildPageHandlers(false);
},_onChildPageClick:function(e){
if(!this.isVisible()||this.isClosed()){
return;
}
var src=e.target?e.target:e.srcElement;
if(src){
if(src.tagName=="INPUT"&&src.type=="button"){
return;
}else{
if(src.tagName=="BUTTON"||src.tagName=="A"){
return;
}
}
}
this.setActive(true);
},_onIframeLoad:function(){
this._onWindowUrlChanged();
this._registerChildPageHandlers(true);
this.raiseEvent("pageLoad",new Sys.EventArgs());
},_onWindowUrlChanging:function(){
var _e0=this._getStatusMessageElement();
if(_e0){
Sys.UI.DomElement.addCssClass(_e0,"loading");
}
if(!this._showContentDuringLoad){
this._iframe.style.width="0px";
this._iframe.style.height="0px";
}
},_onWindowUrlChanged:function(){
var _e1=this._getStatusMessageElement();
if(_e1){
Sys.UI.DomElement.removeCssClass(_e1,"loading");
this.set_status(this._navigateUrl);
}
if(!this._showContentDuringLoad){
this._iframe.style.width="100%";
this._iframe.style.height="100%";
}
try{
if(this._iframe.contentWindow.document.title){
this.set_title(this._iframe.contentWindow.document.title);
}
}
catch(e){
}
},_updatePopupZindex:function(){
if(this._popupBehavior){
if(this.isVisible()){
this._popupBehavior.show();
}
}
},get_zindex:function(){
if(this._popupElement){
return this._popupElement.style.zIndex;
}else{
return -1;
}
},get_contentFrame:function(){
return this._iframe;
},get_minimizeZoneID:function(){
return this._minimizeZoneID;
},set_minimizeZoneID:function(_e2){
if(this._minimizeZoneID!=_e2){
this._minimizeZoneID=_e2;
}
},get_restrictionZoneID:function(){
return this._restrictionZoneID;
},set_restrictionZoneID:function(_e3){
if(this._restrictionZoneID!=_e3){
this._restrictionZoneID=_e3;
}
},get_minimizeIconUrl:function(){
return this._minimizeIconUrl;
},set_minimizeIconUrl:function(_e4){
if(this._minimizeIconUrl!=_e4){
this._minimizeIconUrl=_e4;
}
},get_iconUrl:function(){
return this._iconUrl;
},set_iconUrl:function(_e5){
if(this._iconUrl!=_e5){
this._iconUrl=_e5;
}
},get_clientCallBackFunction:function(){
return this._clientCallBackFunction;
},set_clientCallBackFunction:function(_e6){
if(this._clientCallBackFunction!=_e6){
this._clientCallBackFunction=_e6;
}
},get_navigateUrl:function(){
return this._navigateUrl;
},set_navigateUrl:function(_e7){
if(this._navigateUrl!=_e7){
this._navigateUrl=_e7;
}
},get_targetControl:function(){
return this._openerElement;
},set_targetControl:function(_e8){
if(this._openerElement!=_e8){
this._openerElement=_e8;
}
},get_name:function(){
return this._name;
},set_name:function(_e9){
if(this._name!=_e9){
this._name=_e9;
}
},get_formID:function(){
return this._formID;
},set_formID:function(_ea){
if(this._formID!=_ea){
this._formID=_ea;
}
},get_offsetElementID:function(){
return this._offsetElementID;
},set_offsetElementID:function(_eb){
if(this._offsetElementID!=_eb){
this._offsetElementID=_eb;
}
if(this.isVisible()){
this._deleteStoredBounds();
this._offsetSet=false;
this._show();
}
},get_openerElementID:function(){
return this._openerElementID;
},set_openerElementID:function(_ec){
if(this._openerElementID!=_ec){
if(this._openerElement){
this._registerOpenerElementHandler(this._openerElement,false);
this._openerElement=null;
}
this._openerElementID=_ec;
if(this._openerElementID){
this._openerElement=$get(this._openerElementID);
}
if(this._openerElement){
this._registerOpenerElementHandler(this._openerElement,true);
}
}
},get_left:function(){
return this._left;
},set_left:function(_ed){
if(this._left!=_ed){
this._left=parseInt(_ed);
}
},get_top:function(){
return this._top;
},set_top:function(_ee){
if(this._top!=_ee){
this._top=parseInt(_ee);
}
},get_title:function(){
return this._title;
},set_title:function(_ef){
if(this._title!=_ef){
this._title=_ef;
}
if(null==this._titleElement){
return;
}
this._titleElement.innerHTML=this._title;
this._updateTitleWidth();
},get_width:function(){
return parseInt(this._width);
},_fixSizeValue:function(_f0){
_f0=""+_f0;
if(-1==_f0.indexOf("px")){
_f0=parseInt(_f0);
if(!isNaN(_f0)){
_f0=_f0+"px";
}else{
_f0="";
}
}
return _f0;
},set_width:function(_f1){
if(null==_f1){
return;
}
_f1=this._fixSizeValue(_f1);
if(this._width!=_f1){
this._width=_f1;
}
if(this._popupElement){
this._deleteStoredBounds();
this._popupElement.style.width=this._width;
this._updatePopupZindex();
}
},get_height:function(){
return parseInt(this._height);
},set_height:function(_f2){
if(null==_f2){
return;
}
_f2=this._fixSizeValue(_f2);
if(this._height!=_f2){
this._height=_f2;
}
if(this._popupElement){
this._deleteStoredBounds();
this._updateWindowSize(this._height);
this._updatePopupZindex();
}
},_updateWindowSize:function(_f3,_f4){
var _f5=this._tableElement;
var _f6=_f3?_f3:_f5.style.height;
if(true==_f4){
_f6=_f5.offsetHeight+"px";
}
if(parseInt(_f6)==0){
return;
}
_f5.style.height=_f6;
this._fixIeHeight(_f5,_f6);
_f5.parentNode.style.height=_f6;
},get_initialBehaviors:function(){
return this._initialBehaviors;
},set_initialBehaviors:function(_f7){
if(this._initialBehaviors!=_f7){
this._initialBehaviors=_f7;
}
},get_behaviors:function(){
return this._behaviors;
},set_behaviors:function(_f8){
if(this._behaviors!=_f8){
this._behaviors=_f8;
}
if(null==this._titlebarElement){
return;
}
this._makeMoveable(false);
this._makeMoveable(true);
this._makeResizeable(false);
this._makeResizeable(true);
if(this._buttonsArray&&this._buttonsArray.length>0){
var len=this._buttonsArray.length;
for(var i=0;i<len;i++){
var _fb=this._buttonsArray[i];
$clearHandlers(_fb);
}
this._buttonsArray=[];
var _fc=this._getTitleCommandButtonsHolder();
_fc.innerHTML="";
}
if(Telerik.Web.UI.WindowBehaviors.None==this._behaviors){
return;
}else{
var loc=this._getLocalization();
var _fe=Telerik.Web.UI.WindowBehaviors;
var _ff=[[this.isBehaviorEnabled(_fe.Pin),"pinbutton",loc["PinOn"],this.togglePin],[this.isBehaviorEnabled(_fe.Reload),"reloadbutton",loc["Reload"],this.reload],[this.isBehaviorEnabled(_fe.Minimize),"minimizebutton",loc["Minimize"],this.minimize],[this.isBehaviorEnabled(_fe.Maximize),"maximizebutton",loc["Maximize"],this.maximize],[this.isBehaviorEnabled(_fe.Close),"closebutton",loc["Close"],this.close]];
for(var i=0;i<_ff.length;i++){
var info=_ff[i];
if(!info[0]){
continue;
}
var li=document.createElement("LI");
var _102=document.createElement("A");
_102.href="javascript:void(0);";
_102.className=info[1];
_102.setAttribute("title",info[2]);
var _103=document.createElement("SPAN");
_103.innerHTML=info[2];
_102.appendChild(_103);
$addHandlers(_102,{"click":info[3]},this);
$addHandler(_102,"click",this._cancelEvent);
$addHandler(_102,"dblclick",this._cancelEvent);
li.appendChild(_102);
this._buttonsElement.appendChild(li);
this._buttonsArray[this._buttonsArray.length]=_102;
}
}
},get_modal:function(){
return this._modal;
},set_modal:function(_104){
if(this._modal!=_104){
this._modal=_104;
}
this._makeModal(this._modal);
if(this.isVisible()){
this._afterShow();
}
},get_destroyOnClose:function(){
return this._destroyOnClose;
},set_destroyOnClose:function(_105){
if(this._destroyOnClose!=_105){
this._destroyOnClose=_105;
}
},get_reloadOnShow:function(){
return this._reloadOnShow;
},set_reloadOnShow:function(_106){
if(this._reloadOnShow!=_106){
this._reloadOnShow=_106;
}
},get_showContentDuringLoad:function(){
return this._showContentDuringLoad;
},set_showContentDuringLoad:function(_107){
if(this._showContentDuringLoad!=_107){
this._showContentDuringLoad=_107;
}
},get_visibleOnPageLoad:function(){
return this._visibleOnPageLoad;
},set_visibleOnPageLoad:function(_108){
if(this._visibleOnPageLoad!=_108){
this._visibleOnPageLoad=_108;
}
},get_visibleTitlebar:function(){
return this._visibleTitlebar;
},set_visibleTitlebar:function(_109){
if(this._visibleTitlebar!=_109){
this._visibleTitlebar=_109;
}
if(this._titlebarElement){
this._titlebarElement.style.display=_109?"":"none";
}
},get_visibleStatusbar:function(){
return this._visibleStatusbar;
},set_visibleStatusbar:function(_10a){
if(this._visibleStatusbar!=_10a){
this._visibleStatusbar=_10a;
}
if(this._statusCell){
this._statusCell.parentNode.style.display=_10a?"":"none";
}
},get_animation:function(){
return this._animation;
},set_animation:function(_10b){
if(this._animation!=_10b){
this._animation=_10b;
}
},get_overlay:function(){
return this._overlay;
},set_overlay:function(_10c){
this._overlay=_10c;
if(this._popupBehavior){
this._popupBehavior.set_overlay(this._overlay);
}
if(this.isVisible()){
this._reSetWindowPosition();
}
},get_keepInScreenBounds:function(){
return this._keepInScreenBounds;
},set_keepInScreenBounds:function(_10d){
this._keepInScreenBounds=_10d;
if(this._popupBehavior){
this._popupBehavior.set_keepInScreenBounds(this._keepInScreenBounds);
}
if(this.isVisible()){
this._reSetWindowPosition();
}
},get_skin:function(){
return this._skin;
},set_skin:function(_10e){
if(_10e&&this._skin!=_10e){
this._skin=_10e;
}
},get_popupElement:function(){
return this._popupElement;
},get_windowManager:function(){
return this._windowManager;
},set_windowManager:function(_10f){
this._windowManager=_10f;
},set_status:function(_110){
var _111=this._getStatusMessageElement();
if(_111){
window.setTimeout(function(){
_111.value=_110;
},0);
}
},get_status:function(){
var _112=this._getStatusMessageElement();
if(_112){
return _112.value;
}
},add_command:function(_113){
this.get_events().addHandler("command",_113);
},remove_command:function(_114){
this.get_events().removeHandler("command",_114);
},raise_command:function(args){
this.raiseEvent("command",args);
},add_dragStart:function(_116){
this.get_events().addHandler("dragStart",_116);
},remove_dragStart:function(_117){
this.get_events().removeHandler("dragStart",_117);
},add_dragEnd:function(_118){
this.get_events().addHandler("dragEnd",_118);
},remove_dragEnd:function(_119){
this.get_events().removeHandler("dragEnd",_119);
},add_activate:function(_11a){
this.get_events().addHandler("activate",_11a);
},remove_activate:function(_11b){
this.get_events().removeHandler("activate",_11b);
},add_beforeShow:function(_11c){
this.get_events().addHandler("beforeShow",_11c);
},remove_beforeShow:function(_11d){
this.get_events().removeHandler("beforeShow",_11d);
},add_show:function(_11e){
this.get_events().addHandler("show",_11e);
},remove_show:function(_11f){
this.get_events().removeHandler("show",_11f);
},add_pageLoad:function(_120){
this.get_events().addHandler("pageLoad",_120);
},remove_pageLoad:function(_121){
this.get_events().removeHandler("pageLoad",_121);
},add_close:function(_122){
this.get_events().addHandler("close",_122);
},remove_close:function(_123){
this.get_events().removeHandler("close",_123);
},add_resize:function(_124){
this.get_events().addHandler("resize",_124);
},remove_resize:function(_125){
this.get_events().removeHandler("resize",_125);
},saveClientState:function(){
var _126=["position"];
var _127={};
for(var i=0;i<_126.length;i++){
_127[_126[i]]=this["get_"+_126[i]]();
}
return Sys.Serialization.JavaScriptSerializer.serialize(_127);
}};
Telerik.Web.UI.RadWindow.registerClass("Telerik.Web.UI.RadWindow",Telerik.Web.UI.RadWebControl);
Telerik.Web.UI.WindowAnimation=function(){
throw Error.invalidOperation();
};
Telerik.Web.UI.WindowAnimation.prototype={None:0,Resize:1,Fade:2,Slide:4,FlyIn:8};
Telerik.Web.UI.WindowAnimation.registerEnum("Telerik.Web.UI.WindowAnimation",false);
Telerik.Web.UI.WindowMinimizeMode=function(){
throw Error.invalidOperation();
};
Telerik.Web.UI.WindowMinimizeMode.prototype={SameLocation:1,MinimizeZone:2,Default:1};
Telerik.Web.UI.WindowMinimizeMode.registerEnum("Telerik.Web.UI.WindowMinimizeMode",false);
Telerik.Web.UI.WindowBehaviors=function(){
throw Error.invalidOperation();
};
Telerik.Web.UI.WindowBehaviors.prototype={None:0,Resize:1,Minimize:2,Close:4,Pin:8,Maximize:16,Move:32,Reload:64,Default:(1+2+4+8+16+32+64)};
Telerik.Web.UI.WindowBehaviors.registerEnum("Telerik.Web.UI.WindowBehaviors",false);
Telerik.Web.UI.RadWindowUtils._zIndex=3000;
Telerik.Web.UI.RadWindowUtils.get_newZindex=function(_129){
_129=parseInt(_129);
if(null==_129||isNaN(_129)){
_129=0;
}
if(Telerik.Web.UI.RadWindowUtils._zIndex<_129){
Telerik.Web.UI.RadWindowUtils._zIndex=_129;
}
Telerik.Web.UI.RadWindowUtils._zIndex++;
return Telerik.Web.UI.RadWindowUtils._zIndex;
};
Telerik.Web.UI.RadWindowUtils._pinnedList={};
Telerik.Web.UI.RadWindowUtils.setPinned=function(_12a,oWnd){
if(_12a){
var _12c=oWnd._getViewportBounds();
var _12d=oWnd._getCurrentBounds();
oWnd.LeftOffset=_12d.x-_12c.scrollLeft;
oWnd.TopOffset=_12d.y-_12c.scrollTop;
var _12e=window.setInterval(function(){
Telerik.Web.UI.RadWindowUtils._updatePinnedElementPosition(oWnd);
},100);
Telerik.Web.UI.RadWindowUtils._pinnedList[_12e]=oWnd;
}else{
var _12f=null;
var _130=Telerik.Web.UI.RadWindowUtils._pinnedList;
for(var name in _130){
if(_130[name]==oWnd){
_12f=name;
break;
}
}
if(null!=_12f){
window.clearInterval(_12f);
Telerik.Web.UI.RadWindowUtils._pinnedList[_12f]=null;
}
oWnd.TopOffset=null;
oWnd.LeftOffset=null;
}
};
Telerik.Web.UI.RadWindowUtils._updatePinnedElementPosition=function(oWnd){
if(oWnd.isMaximized()||!oWnd.isVisible()){
return;
}
var _133=oWnd._getViewportBounds();
var _134=oWnd._getCurrentBounds();
var left=(oWnd.LeftOffset!=null)?oWnd.LeftOffset+_133.scrollLeft:_134.x;
var top=(oWnd.TopOffset!=null)?oWnd.TopOffset+_133.scrollTop:_134.y;
oWnd.moveTo(left,top);
};
Telerik.Web.UI.RadWindowUtils.DragDataType="RadWindow";
Telerik.Web.UI.RadWindowUtils._documentDropZone=function(_137){
};
Telerik.Web.UI.RadWindowUtils._documentDropZone.prototype={get_dropTargetElement:function(){
return ($telerik.standardsMode)?document.body:document.documentElement;
},canDrop:function(_138,_139,dock){
return _139===Telerik.Web.UI.RadWindowUtils.DragDataType;
},drop:function(_13b,_13c,wnd){
},onDragEnterTarget:function(_13e,type,wnd){
},onDragLeaveTarget:function(_141,type,wnd){
},onDragInTarget:function(_144,type,wnd){
}};
Telerik.Web.UI.RadWindowUtils._documentDropZone.registerClass("Telerik.Web.UI.RadWindowUtils._documentDropZone",null,Telerik.Web.IDropTarget);
Telerik.Web.UI.RadWindowUtils.DocumentDropZone=new Telerik.Web.UI.RadWindowUtils._documentDropZone();
Telerik.Web.DragDropManager.registerDropTarget(Telerik.Web.UI.RadWindowUtils.DocumentDropZone,true);

